This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 457273 - Sanitise default key names
Sanitise default key names
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 12:06 EDT by Bastien Nocera
Modified: 2008-08-14 05:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.8.3-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-14 05:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
program to fix keycodes in remote files (5.38 KB, text/plain)
2008-08-11 07:29 EDT, Bastien Nocera
no flags Details
Patch for the spec file (229.86 KB, patch)
2008-08-12 11:19 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2008-07-30 12:06:51 EDT
Look through:
http://arnaud.quette.free.fr/lirc/lirc-cns.html
for occurences of different key names

This is the (computer readable) list of possible substitutions:
http://arnaud.quette.free.fr/lirc/nns.txt

With the agreed upon "namespace" for keys:
http://arnaud.quette.free.fr/lirc/lirc-nns.html
Comment 1 Bastien Nocera 2008-08-11 07:29:58 EDT
Created attachment 313950 [details]
program to fix keycodes in remote files

I sent this program along with the huge patch to the LIRC list, and Jarod. It would be pretty straight forward to include in the .spec file for lirc in the meanwhile, just adding a BR on glib2-devel.
Comment 2 Bastien Nocera 2008-08-11 09:09:35 EDT
Sent upstream at:
http://thread.gmane.org/gmane.comp.hardware.lirc/6884
Comment 3 Bastien Nocera 2008-08-12 11:19:54 EDT
Created attachment 314104 [details]
Patch for the spec file

What I'd like to commit come Thursday if we get the same great level of response from upstream.
Comment 4 Bastien Nocera 2008-08-14 05:32:59 EDT
Fixed in lirc-0.8.3-5.fc10

Note You need to log in before you can comment on or make changes to this bug.